# Include LVM tools if LVM exists

test -c /dev/mapper/control -a -x "$(get_path lvm)" || return 0 # silently skip

Log "Device mapper found enabled. Including LVM tools."

PROGS+=( lvm dmsetup dmeventd fsadm )

COPY_AS_IS+=( /etc/lvm )

# Workaround for a LVM segfault when creating a PV with an UUID already present
# in the device file: omit the device file from the rescue system
# https://bugzilla.redhat.com/show_bug.cgi?id=2117937
# proper fix:
# https://sourceware.org/git/?p=lvm2.git;a=commit;h=8c3cfc75c72696ae8b620555fcc4f815b0c1d6b6
COPY_AS_IS_EXCLUDE+=( /etc/lvm/devices )

if lvs --noheadings -o thin_count | grep -q -v "^\s*$" ; then
    # There are Thin Pools on the system, include required binaries
    PROGS+=( thin_check )
fi

if lvs --noheadings -o modules | grep -q -v "^\s*$" ; then
    # There are non-linear LVs on the system, include required libraries
    LIBS+=( /usr/lib64/*lvm2* )
fi

# vim: set et ts=4 sw=4:
